Apache Tomcat 6.0.53

## org.apache.catalina.deploy
Class SecurityRoleRef

    java.lang.Object
      org.apache.catalina.deploy.SecurityRoleRef

    public class SecurityRoleRef

extends java.lang.Object

Representation of a security role reference for a web application, as represented in a `<security-role-ref>` element in the deployment descriptor.

Since:
  Tomcat 5.5
Author:
  Mark Thomas

Constructor Summary
`SecurityRoleRef()`

Method Summary
`java.lang.String` | `getLink()`
`java.lang.String` | `getName()`
`void` | `setLink(java.lang.String link)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityRoleRef

    public SecurityRoleRef()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLink

    public java.lang.String getLink()

### setLink

    public void setLink(java.lang.String link)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.